at.chipkarte.client.elgaad.soap

## Class AuthorPerson

- Object
- - at.chipkarte.client.elgaad.soap.AuthorPerson

-     public class AuthorPerson
      extends Object

  Daten zur Person des Authors.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob AuthorPerson zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorPerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Code` | `getCode()` Angabe der Fachrichtung des Verfassers des Dokuments.
    `Code` | `getFunctionCode()` Funktionscode des Verfassers des Dokuments.
    `Id[]` | `getIdList()` Identifikation des Verfassers des Dokuments im lokalen System.
    `Name` | `getName()` Name der Person.
    `String[]` | `getTelecomList()` Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
    `String` | `getTime()` Der Zeitpunkt, an dem das Dokument verfasst beziehungsweise inhaltlich fertiggestellt wurde.
    `void` | `setCode(Code code)`
    `void` | `setFunctionCode(Code functionCode)`
    `void` | `setIdList(Id[] idList)`
    `void` | `setName(Name name)`
    `void` | `setTelecomList(String[] telecomList)`
    `void` | `setTime(String time)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorPerson

          public AuthorPerson()

  - ### Method Detail

    - #### getFunctionCode

          public Code getFunctionCode()

      Funktionscode des Verfassers des Dokuments. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      mögliche Werte: es können, laut Allgemeinen Implementierungsleitfaden, eigene Codes verwendet werden (kein Value Set Vorgaben im Terminologieserver vorhanden).
      Returns:
        Funktionscode.

    - #### getTime

          public String getTime()

      Der Zeitpunkt, an dem das Dokument verfasst beziehungsweise inhaltlich fertiggestellt wurde.
      Eingabebedingung:
      Erfassung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS.
      Änderung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS.
      Ausgabebedingung: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Verfassungs- oder Fertigstellungszeitpunkt.

    - #### getIdList

          public Id[] getIdList()

      Identifikation des Verfassers des Dokuments im lokalen System. Siehe `Id`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        lokale Ids.

    - #### getCode

          public Code getCode()

      Angabe der Fachrichtung des Verfassers des Dokuments. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Author_Speciality
      Returns:
        Fachrichtungscode.

    - #### getTelecomList

          public String[] getTelecomList()

      Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: Präfix gemäß Value-Set "ELGA_URLScheme" (siehe Terminologieserver) gefolgt vom tatsächlichem Wert
      Beispiele: Telefonnummer - "tel:+43 1 40400", E-Mail: "mailto:office@organisation.at"
      Returns:
        Liste von Kontaktdaten.

    - #### getName

          public Name getName()

      Name der Person. Siehe `Name`.
      Eingabebedingung:
      Erfassung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (GDA-Mitarbeiter).
      Änderung: Kann. Bei Nichtangabe erfolgt eine automatische Befüllung der Daten durch das eCS (GDA-Mitarbeiter).
      Ausgabebedingung: Muss.
      Returns:
        Name.

    - #### setFunctionCode

          public void setFunctionCode(Code functionCode)

    - #### setTime

          public void setTime(String time)

    - #### setIdList

          public void setIdList(Id[] idList)

    - #### setCode

          public void setCode(Code code)

    - #### setTelecomList

          public void setTelecomList(String[] telecomList)

    - #### setName

          public void setName(Name name)